Service providing access to Fundraising resources and features
Fundraising (v1-2025-04-18)
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The recurring giftswere retrieved successfully.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
The total amount number of gifts given in this recurring gift
[ { "amount": 0.1, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "currency_code": "string", "currency_symbol": "string", "date": "string", "donor_id": "string", "donor_type": "contact", "end_at": "string", "frequency": "annually", "fund_id": "string", "id": "string", "last_gift_id": "string", "last_processing_date": "2019-08-24T14:15:22Z", "next_gift_date": "string", "notes": "string", "number": 0.1, "order_id": "string", "organization_id": "string", "payment_info": { … }, "status": "active", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_given": 0.1, "total_number_of_gifts": 0.1 } ]
Request
This method will auto-generate an ID and create a new recurring gift. If an ID is specified for the recurring gift, an error will be thrown.
The recurring gift that you would like to be saved.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 0.1,
"appeal_id": "string",
"campaign_id": "string",
"contact_id": "string",
"currency_code": "string",
"currency_symbol": "string",
"date": "string",
"donor_id": "string",
"donor_type": "contact",
"end_at": "string",
"frequency": "annually",
"fund_id": "string",
"id": "string",
"last_gift_id": "string",
"last_processing_date": "2019-08-24T14:15:22Z",
"next_gift_date": "string",
"notes": "string",
"number": 0.1,
"order_id": "string",
"organization_id": "string",
"payment_info": {
"card_expiration": "string",
"card_type": "american express",
"merchant_account_tokens": [
{
"merchant_account_id": "string",
"token": "string"
}
],
"payment_account": "string",
"payment_origin": "ad hoc",
"token": "string",
"type": "credit card"
},
"status": "active",
"suspended_until": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total_amount_given": 0.1,
"total_number_of_gifts": 0.1
}'The recurring gift was saved successfully.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "amount": 0.1, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "currency_code": "string", "currency_symbol": "string", "date": "string", "donor_id": "string", "donor_type": "contact", "end_at": "string", "frequency": "annually", "fund_id": "string", "id": "string", "last_gift_id": "string", "last_processing_date": "2019-08-24T14:15:22Z", "next_gift_date": "string", "notes": "string", "number": 0.1, "order_id": "string", "organization_id": "string", "payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "status": "active", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_given": 0.1, "total_number_of_gifts": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/batch
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/batch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": null,
"object": {},
"operation": "create",
"patch_directives": {
"0": {
"op": "add",
"path": "string",
"value": "string"
}
}
}
]
}'{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/contact/{contact_id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/contact/{contact_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/contact/{contact_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/donor/{donor_id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/donor/{donor_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/donor/{donor_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/organization/{organization_id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/organization/{organization_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/organization/{organization_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/search
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"status": [
"string"
]
}'{ "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}?fields=string&consistentRead=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The recurring gift was retrieved successfully.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "amount": 0.1, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "currency_code": "string", "currency_symbol": "string", "date": "string", "donor_id": "string", "donor_type": "contact", "end_at": "string", "frequency": "annually", "fund_id": "string", "id": "string", "last_gift_id": "string", "last_processing_date": "2019-08-24T14:15:22Z", "next_gift_date": "string", "notes": "string", "number": 0.1, "order_id": "string", "organization_id": "string", "payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "status": "active", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_given": 0.1, "total_number_of_gifts": 0.1 }
Request
This method will patch an existing recurring gift with the specified ID, using the HTTP PATCH specification.
The patch directives conforming to RFC 6902.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The recurring gift was patched successfully.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "amount": 0.1, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "currency_code": "string", "currency_symbol": "string", "date": "string", "donor_id": "string", "donor_type": "contact", "end_at": "string", "frequency": "annually", "fund_id": "string", "id": "string", "last_gift_id": "string", "last_processing_date": "2019-08-24T14:15:22Z", "next_gift_date": "string", "notes": "string", "number": 0.1, "order_id": "string", "organization_id": "string", "payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "status": "active", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_given": 0.1, "total_number_of_gifts": 0.1 }
The updated recurring gift that will be saved.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}
- https://fundraising.api.rhythmsoftware.com/recurringGifts/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/recurringGifts/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 0.1,
"appeal_id": "string",
"campaign_id": "string",
"contact_id": "string",
"currency_code": "string",
"currency_symbol": "string",
"date": "string",
"donor_id": "string",
"donor_type": "contact",
"end_at": "string",
"frequency": "annually",
"fund_id": "string",
"id": "string",
"last_gift_id": "string",
"last_processing_date": "2019-08-24T14:15:22Z",
"next_gift_date": "string",
"notes": "string",
"number": 0.1,
"order_id": "string",
"organization_id": "string",
"payment_info": {
"card_expiration": "string",
"card_type": "american express",
"merchant_account_tokens": [
{
"merchant_account_id": "string",
"token": "string"
}
],
"payment_account": "string",
"payment_origin": "ad hoc",
"token": "string",
"type": "credit card"
},
"status": "active",
"suspended_until": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total_amount_given": 0.1,
"total_number_of_gifts": 0.1
}'The recurring gift was updated successfully.
The last time this recurring gift was processed
The next date that this should be gift should be processed
If suspended, the date at which the suspension should be lifted
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "amount": 0.1, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "currency_code": "string", "currency_symbol": "string", "date": "string", "donor_id": "string", "donor_type": "contact", "end_at": "string", "frequency": "annually", "fund_id": "string", "id": "string", "last_gift_id": "string", "last_processing_date": "2019-08-24T14:15:22Z", "next_gift_date": "string", "notes": "string", "number": 0.1, "order_id": "string", "organization_id": "string", "payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "status": "active", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total_amount_given": 0.1, "total_number_of_gifts": 0.1 }